> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentarea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Runner Whoami

> The client this runner key serves, so `agentarea runner register` can check the key.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/runner/whoami
openapi: 3.1.0
info:
  description: >-
    Modular and extensible framework for building AI agents. This API requires
    JWT Bearer token authentication for most endpoints. Include your JWT token
    in the Authorization header. Public endpoints include /, /health, /docs,
    /redoc, and /openapi.json.
  title: AgentArea API
  version: 0.1.2
servers: []
security:
  - bearer: []
paths:
  /v1/runner/whoami:
    get:
      tags:
        - v1
        - protected
        - harness runner
      summary: Runner Whoami
      description: >-
        The client this runner key serves, so `agentarea runner register` can
        check the key.
      operationId: runner_whoami_v1_runner_whoami_get
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RunnerIdentity'
          description: Successful Response
      security:
        - HTTPBearer: []
components:
  schemas:
    RunnerIdentity:
      properties:
        client_id:
          format: uuid
          title: Client Id
          type: string
        kind:
          title: Kind
          type: string
        workspace:
          title: Workspace
          type: string
      required:
        - client_id
        - workspace
        - kind
      title: RunnerIdentity
      type: object
  securitySchemes:
    bearer:
      bearerFormat: JWT
      description: JWT Bearer token for authentication
      scheme: bearer
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.